Page MenuHomePhabricator

Small beta Prerequisites
Closed, ResolvedPublic

Description

  • MVP implemented i.e. all direct subtickets closed. Contentwise this means
    • The FileExporter adds a link on Wikipedias. This is visible for autoconfirmed. Only visible on “real” file pages, both with and without js enabled
    • Clicking on the link you reach the special page, if none of the error situations happened
    • Error situations (wrong file format, abuse filter failure...) lead to an error page
    • We allow the editing of title and file info
    • Errors are handled consistently over all pages, i.e. errors on title page and general errors during import are displayed as fit with yellow as "error, but you can solve this!" and red as "error and there is really nothing you can do"
    • We show how many revisions will be moved, both page and file revisions
    • We save the changes made by the user, and add all to the version history
    • We inform users that the file transfer may take a while
    • We adhere to the CommonsUploader standard, e.g. by using the AbuseFilter, TitleBlackList, allowed characters in file names, disallowing the same file name for source and target wiki
    • We make visible that the image has been moved to commons through a successpage that encourages the user to add the nowcommons template to their wiki.
    • Javascript is not necessary for any of that
    • There are no critical bugs we know of
    • Files need to have a good template, and not any bad template
  • RTL-Ready
  • security review done if necessary
  • performance review done if necessary (not necessary)
  • there are wikis who would like to participate in small beta, ideally with different requirements (e.g. RTL)
  • KPI+tracking in place:

Related Objects

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptFeb 16 2018, 11:22 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Normal priority.Feb 16 2018, 11:23 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE renamed this task from Tracking: What to do before small beta to Small beta Prerequisites.Feb 28 2018, 3:58 PM
Lea_WMDE updated the task description. (Show Details)Mar 6 2018, 11:47 AM
Lea_WMDE updated the task description. (Show Details)Mar 12 2018, 9:11 AM
Lea_WMDE changed the status of subtask T189199: Adapt successpage to new design from Open to Stalled.Mar 20 2018, 3:35 PM
Lea_WMDE updated the task description. (Show Details)Mar 20 2018, 4:35 PM
Andrew-WMDE changed the status of subtask T189199: Adapt successpage to new design from Stalled to Open.Mar 26 2018, 10:50 AM
WMDE-Fisch updated the task description. (Show Details)Apr 3 2018, 2:34 PM
Lea_WMDE updated the task description. (Show Details)May 2 2018, 9:59 AM
Lea_WMDE updated the task description. (Show Details)Jun 12 2018, 8:52 AM
Lea_WMDE closed this task as Resolved.May 14 2019, 8:07 AM
Lea_WMDE claimed this task.